Skip to main content

GET /api/defi/insurance

Insurance protocols

GET insurance data from defi service

Endpoint​

GET https://api.web3identity.com/api/defi/insurance

Example Request​

curl -s "https://api.web3identity.com/api/defi/insurance" | jq

Responses​

200 Insurance​

{
"protocols": [
{
"name": "Nexus Mutual",
"tvl": 234567890.12,
"activeCover": 123456789.01,
"capacity": 345678901.23
},
{
"name": "InsurAce",
"tvl": 123456789.01,
"activeCover": 67890123.45,
"capacity": 234567890.12
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec